<?php

namespace Config;

// Create a new instance of our RouteCollection class.
$routes = Services::routes();

// Load the system's routing file first, so that the app and ENVIRONMENT
// can override as needed.
if (file_exists(SYSTEMPATH . 'Config/Routes.php')) {
    require SYSTEMPATH . 'Config/Routes.php';
}

/*
 * --------------------------------------------------------------------
 * Router Setup
 * --------------------------------------------------------------------
 */
$routes->setDefaultNamespace('App\Controllers');
$routes->setDefaultController('Home');
$routes->setDefaultMethod('index');
$routes->setTranslateURIDashes(false);
$routes->set404Override();
$routes->setAutoRoute(true);

/*
 * --------------------------------------------------------------------
 * Route Definitions
 * --------------------------------------------------------------------
 */

// We get a performance increase by specifying the default
// route since we don't have to scan directories.
$routes->get('/', 'Home::index');
$routes->get('index', 'Home::index');
$routes->post('/login', 'Login::auth');

$routes->get('register', 'Home::register');
$routes->get('login', 'Home::login');
$routes->get('/addclient', 'PackageRegistration::addclient');
$routes->post('/addclient', 'PackageRegistration::add_client_post');
$routes->post('/register', 'Home::post_register');
$routes->get('/payment-confirmation-callback', 'PackageRegistration::ipay_callback');
$routes->get('/students', 'Home::students');
$routes->get('/addcourse', 'Home::addcourse');
$routes->get('/clients', 'Home::clients');
$routes->get('/logout', 'Login::logout');
$routes->get('/mpesaunapproved', 'Home::mpesaunapproved');
$routes->get('/profile', 'Home::profile');
$routes->get('/clientinfo', 'Home::clientinfo');
$routes->get('/news', 'Home::news');
$routes->get('/notifications', 'Home::notifications');
$routes->get('/transinfo', 'Home::transinfo');
$routes->post('/profile', 'Home::editparent');
$routes->post('/password', 'Home::password');
$routes->post('/profilepic', 'Home::profilepic');
$routes->get('/clientprofile', 'Home::clientprofile');
$routes->post('/clientprofile', 'Home::editclient');
$routes->post('/studentpic', 'Home::studentpic');
$routes->get('/agents', 'Home::agents');
$routes->get('/agentinfo', 'Home::agentinfo');
$routes->get('/agentclients', 'Home::agentclients');
$routes->get('/agentcommision', 'Home::agentcommision');
$routes->get('/commissioninfo', 'Home::commissioninfo');
$routes->post('/commissioninfo', 'Home::editstatus');
$routes->get('/verified', 'Home::verified');
$routes->post('/updatestatus', 'Register::updatestatus');
$routes->get('/mpesaapproved', 'Register::mpesaapproved');
$routes->post('/mpesaapproved', 'Mpesa::mpesaapprovedpost');
$routes->post('/mpesaapproved15', 'Mpesa::mpesaapprovedpost15');

$routes->post('/excel', 'Register::createExcel');
$routes->post('/mpesapaid', 'Register::mpesapaid');
$routes->get('/mpesaapproved15', 'Register::mpesaapproved15');
$routes->post('/mpesa15excel', 'Register::createExcelmpesa15');
$routes->post('/mpesapaid15', 'Mpesa::mpesapaid15post');
$routes->get('/mpesapaid15', 'Register::mpesapaid15');
$routes->post('/mpesapaid15update', 'Register::mpesapaid15update');
$routes->post('/mpesaPaidexcel15', 'Register::mpesaPaidexcel15');
$routes->get('/mpesapaid', 'Register::mpesapaid');
$routes->post('/mpesapaid15up', 'Register::mpesapaid15up');
$routes->get('/eftunapproved', 'Register::eftunapproved');
$routes->post('/updateeftunapprovedstatus', 'Register::updateeftunapprovedstatus');
$routes->post('/createExceleft15', 'Register::createExceleft15');
$routes->post('/eftpaid15update', 'Register::eftpaid15update');
$routes->get('/eftpaid15', 'Register::eftpaid15');
$routes->post('/eftpaid15up', 'Register::eftpaid15up');
$routes->post('/eftPaidexcel15', 'Register::eftPaidexcel15');
$routes->get('/eftpaid', 'Register::eftpaid');
$routes->get('/eftapproved', 'Register::eftapproved');
$routes->get('/eftapproved15', 'Register::eftapproved15');
$routes->get('/eftapproved15', 'Eft::eftapproved15');
$routes->post('/eftpaid15', 'Eft::eftpaid15post');

$routes->get('/rtgsunapproved', 'Register::rtgsunapproved');
$routes->post('/rtgsapprovedupdate', 'Register::rtgsapprovedupdate');
$routes->post('/eftapproved', 'Eft::eftapprovedpost');

$routes->get('/rtgsapproved', 'Register::rtgsapproved');
$routes->post('/rtgsapproved', 'Rtgs::rtgsapprovedpost');

$routes->get('/rtgspaid', 'Register::rtgspaid');
$routes->post('/createExcelrtgsapproved', 'Register::createExcelrtgsapproved');
$routes->post('/rtgspaid', 'Rtg::rtgsapprovedpost');

$routes->get('/rtgsapproved15', 'Register::rtgsapproved15');
$routes->post('/rtgsapproved15', 'Rtgs::rtgsapprovedpost15');
$routes->get('/rtgspaid15', 'Register::rtgspaid15');
$routes->post('/rtgspaid15', 'Rtgs::rtgspaid15post');

$routes->post('/createExcelrtgs15', 'Register::createExcelrtgsapproved');
$routes->get('/rejected', 'Home::rejected');
$routes->post('/clientinfo', 'Home::editrevoke');
$routes->get('/mpesapaid3', 'Register::mpesapaid3');
$routes->get('/eftpaid3', 'Register::eftpaid3');
$routes->get('/rtgspaid3', 'Register::rtgspaid3');



/*
 * --------------------------------------------------------------------
 * Additional Routing
 * --------------------------------------------------------------------
 *
 * There will often be times that you need additional routing and you
 * need it to be able to override any defaults in this file. Environment
 * based routes is one such time. require() additional route files here
 * to make that happen.
 *
 * You will have access to the $routes object within that file without
 * needing to reload it.
 */
if (file_exists(APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php')) {
    require APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php';
}
